%define fw_version 5.24

Summary:	KDE Frameworks 5 user activity monitoring module
Name:		kidletime
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-sync)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xscrnsaver)

%description
KDE Frameworks 5 user activity monitoring module.

KIdleTime is a singleton reporting information on idle time. It is useful
not only for finding out about the current idle time of the PC, but also
for getting notified upon idle time events, such as custom timeouts, or
user activity.

%files
%{_kde5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin0.so
%{_kde5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin1.so

#----------------------------------------------------------------------------

%define kf5idletime_major 5
%define libkf5idletime %mklibname kf5idletime %{kf5idletime_major}

%package -n %{libkf5idletime}
Summary:	KDE Frameworks 5 user activity monitoring shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5idletime}
KDE Frameworks 5 user activity monitoring shared library.

%files -n %{libkf5idletime}
%{_kde5_libdir}/libKF5IdleTime.so.%{kf5idletime_major}*

#----------------------------------------------------------------------------

%define devkf5idletime %mklibname kf5idletime -d

%package -n %{devkf5idletime}
Summary:	Development files for KDE Frameworks 5 user activity monitoring module
Group:		Development/KDE and Qt
Requires:	%{libkf5idletime} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5idletime-devel = %{version}

%description -n %{devkf5idletime}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5idletime}
%{_kde5_includedir}/KF5/KIdleTime
%{_kde5_includedir}/KF5/kidletime_version.h
%{_kde5_libdir}/cmake/KF5IdleTime
%{_kde5_libdir}/libKF5IdleTime.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (0dd5e8b) New version 5.24.0


